PREFIX?=/tmp/$(SYS)
BUILDDIR=build
DISTDIR=dist
PARALLEL=-j3

#SYS=mingw32
#SYS=mingw64
SYS=native

#BUILD=(auto)

ifeq ($(SYS),mingw64)
#HOST=(auto)
SYS_PREFIX=/opt/mingw64/sys-root/mingw
SYS_PREFIX2=/opt/mingw64
PKG_CONFIG_PATH=$(SYS_PREFIX)/lib/pkgconfig
endif

ifeq ($(SYS),mingw32)
#HOST=(auto)
SYS_PREFIX=/usr/i686-pc-mingw32/sys-root/mingw
#SYS_PREFIX=/opt/mingw32/sys-root/mingw
SYS_PREFIX2=/opt/mingw32

CPPFLAGS=-I/mingw32/include/dx7headers
PKG_CONFIG_PATH=$(SYS_PREFIX)/lib/pkgconfig
endif

ifeq ($(SYS),native)
#HOST=(auto)
SYS_PREFIX=/usr
#PKG_CONFIG_PATH=/usr/local/lib
endif
